Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2a8a::/16
First address
2a8a::
Last address
2a8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2a8a:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.8.a.2.ip6.arpa
Split into smaller subnets/32

2a8a::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
12a8a::/322a8a:0:ffff:ffff:ffff:ffff:ffff:ffff
22a8a:1::/322a8a:1:ffff:ffff:ffff:ffff:ffff:ffff
32a8a:2::/322a8a:2:ffff:ffff:ffff:ffff:ffff:ffff
42a8a:3::/322a8a:3:ffff:ffff:ffff:ffff:ffff:ffff
52a8a:4::/322a8a:4:ffff:ffff:ffff:ffff:ffff:ffff
62a8a:5::/322a8a:5:ffff:ffff:ffff:ffff:ffff:ffff
72a8a:6::/322a8a:6:ffff:ffff:ffff:ffff:ffff:ffff
82a8a:7::/322a8a:7:ffff:ffff:ffff:ffff:ffff:ffff
92a8a:8::/322a8a:8:ffff:ffff:ffff:ffff:ffff:ffff
102a8a:9::/322a8a:9:ffff:ffff:ffff:ffff:ffff:ffff
112a8a:a::/322a8a:a:ffff:ffff:ffff:ffff:ffff:ffff
122a8a:b::/322a8a:b:ffff:ffff:ffff:ffff:ffff:ffff
132a8a:c::/322a8a:c:ffff:ffff:ffff:ffff:ffff:ffff
142a8a:d::/322a8a:d:ffff:ffff:ffff:ffff:ffff:ffff
152a8a:e::/322a8a:e:ffff:ffff:ffff:ffff:ffff:ffff
162a8a:f::/322a8a:f:ffff:ffff:ffff:ffff:ffff:ffff
172a8a:10::/322a8a:10:ffff:ffff:ffff:ffff:ffff:ffff
182a8a:11::/322a8a:11:ffff:ffff:ffff:ffff:ffff:ffff
192a8a:12::/322a8a:12:ffff:ffff:ffff:ffff:ffff:ffff
202a8a:13::/322a8a:13:ffff:ffff:ffff:ffff:ffff:ffff
212a8a:14::/322a8a:14:ffff:ffff:ffff:ffff:ffff:ffff
222a8a:15::/322a8a:15:ffff:ffff:ffff:ffff:ffff:ffff
232a8a:16::/322a8a:16:ffff:ffff:ffff:ffff:ffff:ffff
242a8a:17::/322a8a:17:ffff:ffff:ffff:ffff:ffff:ffff
252a8a:18::/322a8a:18:ffff:ffff:ffff:ffff:ffff:ffff
262a8a:19::/322a8a:19:ffff:ffff:ffff:ffff:ffff:ffff
272a8a:1a::/322a8a:1a:ffff:ffff:ffff:ffff:ffff:ffff
282a8a:1b::/322a8a:1b:ffff:ffff:ffff:ffff:ffff:ffff
292a8a:1c::/322a8a:1c:ffff:ffff:ffff:ffff:ffff:ffff
302a8a:1d::/322a8a:1d:ffff:ffff:ffff:ffff:ffff:ffff
312a8a:1e::/322a8a:1e:ffff:ffff:ffff:ffff:ffff:ffff
322a8a:1f::/322a8a:1f:ffff:ffff:ffff:ffff:ffff:ffff
332a8a:20::/322a8a:20:ffff:ffff:ffff:ffff:ffff:ffff
342a8a:21::/322a8a:21:ffff:ffff:ffff:ffff:ffff:ffff
352a8a:22::/322a8a:22:ffff:ffff:ffff:ffff:ffff:ffff
362a8a:23::/322a8a:23:ffff:ffff:ffff:ffff:ffff:ffff
372a8a:24::/322a8a:24:ffff:ffff:ffff:ffff:ffff:ffff
382a8a:25::/322a8a:25:ffff:ffff:ffff:ffff:ffff:ffff
392a8a:26::/322a8a:26:ffff:ffff:ffff:ffff:ffff:ffff
402a8a:27::/322a8a:27:ffff:ffff:ffff:ffff:ffff:ffff
412a8a:28::/322a8a:28:ffff:ffff:ffff:ffff:ffff:ffff
422a8a:29::/322a8a:29:ffff:ffff:ffff:ffff:ffff:ffff
432a8a:2a::/322a8a:2a:ffff:ffff:ffff:ffff:ffff:ffff
442a8a:2b::/322a8a:2b:ffff:ffff:ffff:ffff:ffff:ffff
452a8a:2c::/322a8a:2c:ffff:ffff:ffff:ffff:ffff:ffff
462a8a:2d::/322a8a:2d:ffff:ffff:ffff:ffff:ffff:ffff
472a8a:2e::/322a8a:2e:ffff:ffff:ffff:ffff:ffff:ffff
482a8a:2f::/322a8a:2f:ffff:ffff:ffff:ffff:ffff:ffff
492a8a:30::/322a8a:30:ffff:ffff:ffff:ffff:ffff:ffff
502a8a:31::/322a8a:31:ffff:ffff:ffff:ffff:ffff:ffff
512a8a:32::/322a8a:32:ffff:ffff:ffff:ffff:ffff:ffff
522a8a:33::/322a8a:33:ffff:ffff:ffff:ffff:ffff:ffff
532a8a:34::/322a8a:34:ffff:ffff:ffff:ffff:ffff:ffff
542a8a:35::/322a8a:35:ffff:ffff:ffff:ffff:ffff:ffff
552a8a:36::/322a8a:36:ffff:ffff:ffff:ffff:ffff:ffff
562a8a:37::/322a8a:37:ffff:ffff:ffff:ffff:ffff:ffff
572a8a:38::/322a8a:38:ffff:ffff:ffff:ffff:ffff:ffff
582a8a:39::/322a8a:39:ffff:ffff:ffff:ffff:ffff:ffff
592a8a:3a::/322a8a:3a:ffff:ffff:ffff:ffff:ffff:ffff
602a8a:3b::/322a8a:3b:ffff:ffff:ffff:ffff:ffff:ffff
612a8a:3c::/322a8a:3c:ffff:ffff:ffff:ffff:ffff:ffff
622a8a:3d::/322a8a:3d:ffff:ffff:ffff:ffff:ffff:ffff
632a8a:3e::/322a8a:3e:ffff:ffff:ffff:ffff:ffff:ffff
642a8a:3f::/322a8a:3f:ffff:ffff:ffff:ffff:ffff:ffff
652a8a:40::/322a8a:40:ffff:ffff:ffff:ffff:ffff:ffff
662a8a:41::/322a8a:41:ffff:ffff:ffff:ffff:ffff:ffff
672a8a:42::/322a8a:42:ffff:ffff:ffff:ffff:ffff:ffff
682a8a:43::/322a8a:43:ffff:ffff:ffff:ffff:ffff:ffff
692a8a:44::/322a8a:44:ffff:ffff:ffff:ffff:ffff:ffff
702a8a:45::/322a8a:45:ffff:ffff:ffff:ffff:ffff:ffff
712a8a:46::/322a8a:46:ffff:ffff:ffff:ffff:ffff:ffff
722a8a:47::/322a8a:47:ffff:ffff:ffff:ffff:ffff:ffff
732a8a:48::/322a8a:48:ffff:ffff:ffff:ffff:ffff:ffff
742a8a:49::/322a8a:49:ffff:ffff:ffff:ffff:ffff:ffff
752a8a:4a::/322a8a:4a:ffff:ffff:ffff:ffff:ffff:ffff
762a8a:4b::/322a8a:4b:ffff:ffff:ffff:ffff:ffff:ffff
772a8a:4c::/322a8a:4c:ffff:ffff:ffff:ffff:ffff:ffff
782a8a:4d::/322a8a:4d:ffff:ffff:ffff:ffff:ffff:ffff
792a8a:4e::/322a8a:4e:ffff:ffff:ffff:ffff:ffff:ffff
802a8a:4f::/322a8a:4f:ffff:ffff:ffff:ffff:ffff:ffff
812a8a:50::/322a8a:50:ffff:ffff:ffff:ffff:ffff:ffff
822a8a:51::/322a8a:51:ffff:ffff:ffff:ffff:ffff:ffff
832a8a:52::/322a8a:52:ffff:ffff:ffff:ffff:ffff:ffff
842a8a:53::/322a8a:53:ffff:ffff:ffff:ffff:ffff:ffff
852a8a:54::/322a8a:54:ffff:ffff:ffff:ffff:ffff:ffff
862a8a:55::/322a8a:55:ffff:ffff:ffff:ffff:ffff:ffff
872a8a:56::/322a8a:56:ffff:ffff:ffff:ffff:ffff:ffff
882a8a:57::/322a8a:57:ffff:ffff:ffff:ffff:ffff:ffff
892a8a:58::/322a8a:58:ffff:ffff:ffff:ffff:ffff:ffff
902a8a:59::/322a8a:59:ffff:ffff:ffff:ffff:ffff:ffff
912a8a:5a::/322a8a:5a:ffff:ffff:ffff:ffff:ffff:ffff
922a8a:5b::/322a8a:5b:ffff:ffff:ffff:ffff:ffff:ffff
932a8a:5c::/322a8a:5c:ffff:ffff:ffff:ffff:ffff:ffff
942a8a:5d::/322a8a:5d:ffff:ffff:ffff:ffff:ffff:ffff
952a8a:5e::/322a8a:5e:ffff:ffff:ffff:ffff:ffff:ffff
962a8a:5f::/322a8a:5f:ffff:ffff:ffff:ffff:ffff:ffff
972a8a:60::/322a8a:60:ffff:ffff:ffff:ffff:ffff:ffff
982a8a:61::/322a8a:61:ffff:ffff:ffff:ffff:ffff:ffff
992a8a:62::/322a8a:62:ffff:ffff:ffff:ffff:ffff:ffff
1002a8a:63::/322a8a:63:ffff:ffff:ffff:ffff:ffff:ffff
1012a8a:64::/322a8a:64:ffff:ffff:ffff:ffff:ffff:ffff
1022a8a:65::/322a8a:65:ffff:ffff:ffff:ffff:ffff:ffff
1032a8a:66::/322a8a:66:ffff:ffff:ffff:ffff:ffff:ffff
1042a8a:67::/322a8a:67:ffff:ffff:ffff:ffff:ffff:ffff
1052a8a:68::/322a8a:68:ffff:ffff:ffff:ffff:ffff:ffff
1062a8a:69::/322a8a:69:ffff:ffff:ffff:ffff:ffff:ffff
1072a8a:6a::/322a8a:6a:ffff:ffff:ffff:ffff:ffff:ffff
1082a8a:6b::/322a8a:6b:ffff:ffff:ffff:ffff:ffff:ffff
1092a8a:6c::/322a8a:6c:ffff:ffff:ffff:ffff:ffff:ffff
1102a8a:6d::/322a8a:6d:ffff:ffff:ffff:ffff:ffff:ffff
1112a8a:6e::/322a8a:6e:ffff:ffff:ffff:ffff:ffff:ffff
1122a8a:6f::/322a8a:6f:ffff:ffff:ffff:ffff:ffff:ffff
1132a8a:70::/322a8a:70:ffff:ffff:ffff:ffff:ffff:ffff
1142a8a:71::/322a8a:71:ffff:ffff:ffff:ffff:ffff:ffff
1152a8a:72::/322a8a:72:ffff:ffff:ffff:ffff:ffff:ffff
1162a8a:73::/322a8a:73:ffff:ffff:ffff:ffff:ffff:ffff
1172a8a:74::/322a8a:74:ffff:ffff:ffff:ffff:ffff:ffff
1182a8a:75::/322a8a:75:ffff:ffff:ffff:ffff:ffff:ffff
1192a8a:76::/322a8a:76:ffff:ffff:ffff:ffff:ffff:ffff
1202a8a:77::/322a8a:77:ffff:ffff:ffff:ffff:ffff:ffff
1212a8a:78::/322a8a:78:ffff:ffff:ffff:ffff:ffff:ffff
1222a8a:79::/322a8a:79:ffff:ffff:ffff:ffff:ffff:ffff
1232a8a:7a::/322a8a:7a:ffff:ffff:ffff:ffff:ffff:ffff
1242a8a:7b::/322a8a:7b:ffff:ffff:ffff:ffff:ffff:ffff
1252a8a:7c::/322a8a:7c:ffff:ffff:ffff:ffff:ffff:ffff
1262a8a:7d::/322a8a:7d:ffff:ffff:ffff:ffff:ffff:ffff
1272a8a:7e::/322a8a:7e:ffff:ffff:ffff:ffff:ffff:ffff
1282a8a:7f::/322a8a:7f:ffff:ffff:ffff:ffff:ffff:ffff
1292a8a:80::/322a8a:80:ffff:ffff:ffff:ffff:ffff:ffff
1302a8a:81::/322a8a:81:ffff:ffff:ffff:ffff:ffff:ffff
1312a8a:82::/322a8a:82:ffff:ffff:ffff:ffff:ffff:ffff
1322a8a:83::/322a8a:83:ffff:ffff:ffff:ffff:ffff:ffff
1332a8a:84::/322a8a:84:ffff:ffff:ffff:ffff:ffff:ffff
1342a8a:85::/322a8a:85:ffff:ffff:ffff:ffff:ffff:ffff
1352a8a:86::/322a8a:86:ffff:ffff:ffff:ffff:ffff:ffff
1362a8a:87::/322a8a:87:ffff:ffff:ffff:ffff:ffff:ffff
1372a8a:88::/322a8a:88:ffff:ffff:ffff:ffff:ffff:ffff
1382a8a:89::/322a8a:89:ffff:ffff:ffff:ffff:ffff:ffff
1392a8a:8a::/322a8a:8a:ffff:ffff:ffff:ffff:ffff:ffff
1402a8a:8b::/322a8a:8b:ffff:ffff:ffff:ffff:ffff:ffff
1412a8a:8c::/322a8a:8c:ffff:ffff:ffff:ffff:ffff:ffff
1422a8a:8d::/322a8a:8d:ffff:ffff:ffff:ffff:ffff:ffff
1432a8a:8e::/322a8a:8e:ffff:ffff:ffff:ffff:ffff:ffff
1442a8a:8f::/322a8a:8f:ffff:ffff:ffff:ffff:ffff:ffff
1452a8a:90::/322a8a:90:ffff:ffff:ffff:ffff:ffff:ffff
1462a8a:91::/322a8a:91:ffff:ffff:ffff:ffff:ffff:ffff
1472a8a:92::/322a8a:92:ffff:ffff:ffff:ffff:ffff:ffff
1482a8a:93::/322a8a:93:ffff:ffff:ffff:ffff:ffff:ffff
1492a8a:94::/322a8a:94:ffff:ffff:ffff:ffff:ffff:ffff
1502a8a:95::/322a8a:95:ffff:ffff:ffff:ffff:ffff:ffff
1512a8a:96::/322a8a:96:ffff:ffff:ffff:ffff:ffff:ffff
1522a8a:97::/322a8a:97:ffff:ffff:ffff:ffff:ffff:ffff
1532a8a:98::/322a8a:98:ffff:ffff:ffff:ffff:ffff:ffff
1542a8a:99::/322a8a:99:ffff:ffff:ffff:ffff:ffff:ffff
1552a8a:9a::/322a8a:9a:ffff:ffff:ffff:ffff:ffff:ffff
1562a8a:9b::/322a8a:9b:ffff:ffff:ffff:ffff:ffff:ffff
1572a8a:9c::/322a8a:9c:ffff:ffff:ffff:ffff:ffff:ffff
1582a8a:9d::/322a8a:9d:ffff:ffff:ffff:ffff:ffff:ffff
1592a8a:9e::/322a8a:9e:ffff:ffff:ffff:ffff:ffff:ffff
1602a8a:9f::/322a8a:9f:ffff:ffff:ffff:ffff:ffff:ffff
1612a8a:a0::/322a8a:a0:ffff:ffff:ffff:ffff:ffff:ffff
1622a8a:a1::/322a8a:a1:ffff:ffff:ffff:ffff:ffff:ffff
1632a8a:a2::/322a8a:a2:ffff:ffff:ffff:ffff:ffff:ffff
1642a8a:a3::/322a8a:a3:ffff:ffff:ffff:ffff:ffff:ffff
1652a8a:a4::/322a8a:a4:ffff:ffff:ffff:ffff:ffff:ffff
1662a8a:a5::/322a8a:a5:ffff:ffff:ffff:ffff:ffff:ffff
1672a8a:a6::/322a8a:a6:ffff:ffff:ffff:ffff:ffff:ffff
1682a8a:a7::/322a8a:a7:ffff:ffff:ffff:ffff:ffff:ffff
1692a8a:a8::/322a8a:a8:ffff:ffff:ffff:ffff:ffff:ffff
1702a8a:a9::/322a8a:a9:ffff:ffff:ffff:ffff:ffff:ffff
1712a8a:aa::/322a8a:aa:ffff:ffff:ffff:ffff:ffff:ffff
1722a8a:ab::/322a8a:ab:ffff:ffff:ffff:ffff:ffff:ffff
1732a8a:ac::/322a8a:ac:ffff:ffff:ffff:ffff:ffff:ffff
1742a8a:ad::/322a8a:ad:ffff:ffff:ffff:ffff:ffff:ffff
1752a8a:ae::/322a8a:ae:ffff:ffff:ffff:ffff:ffff:ffff
1762a8a:af::/322a8a:af:ffff:ffff:ffff:ffff:ffff:ffff
1772a8a:b0::/322a8a:b0:ffff:ffff:ffff:ffff:ffff:ffff
1782a8a:b1::/322a8a:b1:ffff:ffff:ffff:ffff:ffff:ffff
1792a8a:b2::/322a8a:b2:ffff:ffff:ffff:ffff:ffff:ffff
1802a8a:b3::/322a8a:b3:ffff:ffff:ffff:ffff:ffff:ffff
1812a8a:b4::/322a8a:b4:ffff:ffff:ffff:ffff:ffff:ffff
1822a8a:b5::/322a8a:b5:ffff:ffff:ffff:ffff:ffff:ffff
1832a8a:b6::/322a8a:b6:ffff:ffff:ffff:ffff:ffff:ffff
1842a8a:b7::/322a8a:b7:ffff:ffff:ffff:ffff:ffff:ffff
1852a8a:b8::/322a8a:b8:ffff:ffff:ffff:ffff:ffff:ffff
1862a8a:b9::/322a8a:b9:ffff:ffff:ffff:ffff:ffff:ffff
1872a8a:ba::/322a8a:ba:ffff:ffff:ffff:ffff:ffff:ffff
1882a8a:bb::/322a8a:bb:ffff:ffff:ffff:ffff:ffff:ffff
1892a8a:bc::/322a8a:bc:ffff:ffff:ffff:ffff:ffff:ffff
1902a8a:bd::/322a8a:bd:ffff:ffff:ffff:ffff:ffff:ffff
1912a8a:be::/322a8a:be:ffff:ffff:ffff:ffff:ffff:ffff
1922a8a:bf::/322a8a:bf:ffff:ffff:ffff:ffff:ffff:ffff
1932a8a:c0::/322a8a:c0:ffff:ffff:ffff:ffff:ffff:ffff
1942a8a:c1::/322a8a:c1:ffff:ffff:ffff:ffff:ffff:ffff
1952a8a:c2::/322a8a:c2:ffff:ffff:ffff:ffff:ffff:ffff
1962a8a:c3::/322a8a:c3:ffff:ffff:ffff:ffff:ffff:ffff
1972a8a:c4::/322a8a:c4:ffff:ffff:ffff:ffff:ffff:ffff
1982a8a:c5::/322a8a:c5:ffff:ffff:ffff:ffff:ffff:ffff
1992a8a:c6::/322a8a:c6:ffff:ffff:ffff:ffff:ffff:ffff
2002a8a:c7::/322a8a:c7:ffff:ffff:ffff:ffff:ffff:ffff
2012a8a:c8::/322a8a:c8:ffff:ffff:ffff:ffff:ffff:ffff
2022a8a:c9::/322a8a:c9:ffff:ffff:ffff:ffff:ffff:ffff
2032a8a:ca::/322a8a:ca:ffff:ffff:ffff:ffff:ffff:ffff
2042a8a:cb::/322a8a:cb:ffff:ffff:ffff:ffff:ffff:ffff
2052a8a:cc::/322a8a:cc:ffff:ffff:ffff:ffff:ffff:ffff
2062a8a:cd::/322a8a:cd:ffff:ffff:ffff:ffff:ffff:ffff
2072a8a:ce::/322a8a:ce:ffff:ffff:ffff:ffff:ffff:ffff
2082a8a:cf::/322a8a:cf:ffff:ffff:ffff:ffff:ffff:ffff
2092a8a:d0::/322a8a:d0:ffff:ffff:ffff:ffff:ffff:ffff
2102a8a:d1::/322a8a:d1:ffff:ffff:ffff:ffff:ffff:ffff
2112a8a:d2::/322a8a:d2:ffff:ffff:ffff:ffff:ffff:ffff
2122a8a:d3::/322a8a:d3:ffff:ffff:ffff:ffff:ffff:ffff
2132a8a:d4::/322a8a:d4:ffff:ffff:ffff:ffff:ffff:ffff
2142a8a:d5::/322a8a:d5:ffff:ffff:ffff:ffff:ffff:ffff
2152a8a:d6::/322a8a:d6:ffff:ffff:ffff:ffff:ffff:ffff
2162a8a:d7::/322a8a:d7:ffff:ffff:ffff:ffff:ffff:ffff
2172a8a:d8::/322a8a:d8:ffff:ffff:ffff:ffff:ffff:ffff
2182a8a:d9::/322a8a:d9:ffff:ffff:ffff:ffff:ffff:ffff
2192a8a:da::/322a8a:da:ffff:ffff:ffff:ffff:ffff:ffff
2202a8a:db::/322a8a:db:ffff:ffff:ffff:ffff:ffff:ffff
2212a8a:dc::/322a8a:dc:ffff:ffff:ffff:ffff:ffff:ffff
2222a8a:dd::/322a8a:dd:ffff:ffff:ffff:ffff:ffff:ffff
2232a8a:de::/322a8a:de:ffff:ffff:ffff:ffff:ffff:ffff
2242a8a:df::/322a8a:df:ffff:ffff:ffff:ffff:ffff:ffff
2252a8a:e0::/322a8a:e0:ffff:ffff:ffff:ffff:ffff:ffff
2262a8a:e1::/322a8a:e1:ffff:ffff:ffff:ffff:ffff:ffff
2272a8a:e2::/322a8a:e2:ffff:ffff:ffff:ffff:ffff:ffff
2282a8a:e3::/322a8a:e3:ffff:ffff:ffff:ffff:ffff:ffff
2292a8a:e4::/322a8a:e4:ffff:ffff:ffff:ffff:ffff:ffff
2302a8a:e5::/322a8a:e5:ffff:ffff:ffff:ffff:ffff:ffff
2312a8a:e6::/322a8a:e6:ffff:ffff:ffff:ffff:ffff:ffff
2322a8a:e7::/322a8a:e7:ffff:ffff:ffff:ffff:ffff:ffff
2332a8a:e8::/322a8a:e8:ffff:ffff:ffff:ffff:ffff:ffff
2342a8a:e9::/322a8a:e9:ffff:ffff:ffff:ffff:ffff:ffff
2352a8a:ea::/322a8a:ea:ffff:ffff:ffff:ffff:ffff:ffff
2362a8a:eb::/322a8a:eb:ffff:ffff:ffff:ffff:ffff:ffff
2372a8a:ec::/322a8a:ec:ffff:ffff:ffff:ffff:ffff:ffff
2382a8a:ed::/322a8a:ed:ffff:ffff:ffff:ffff:ffff:ffff
2392a8a:ee::/322a8a:ee:ffff:ffff:ffff:ffff:ffff:ffff
2402a8a:ef::/322a8a:ef:ffff:ffff:ffff:ffff:ffff:ffff
2412a8a:f0::/322a8a:f0:ffff:ffff:ffff:ffff:ffff:ffff
2422a8a:f1::/322a8a:f1:ffff:ffff:ffff:ffff:ffff:ffff
2432a8a:f2::/322a8a:f2:ffff:ffff:ffff:ffff:ffff:ffff
2442a8a:f3::/322a8a:f3:ffff:ffff:ffff:ffff:ffff:ffff
2452a8a:f4::/322a8a:f4:ffff:ffff:ffff:ffff:ffff:ffff
2462a8a:f5::/322a8a:f5:ffff:ffff:ffff:ffff:ffff:ffff
2472a8a:f6::/322a8a:f6:ffff:ffff:ffff:ffff:ffff:ffff
2482a8a:f7::/322a8a:f7:ffff:ffff:ffff:ffff:ffff:ffff
2492a8a:f8::/322a8a:f8:ffff:ffff:ffff:ffff:ffff:ffff
2502a8a:f9::/322a8a:f9:ffff:ffff:ffff:ffff:ffff:ffff
2512a8a:fa::/322a8a:fa:ffff:ffff:ffff:ffff:ffff:ffff
2522a8a:fb::/322a8a:fb:ffff:ffff:ffff:ffff:ffff:ffff
2532a8a:fc::/322a8a:fc:ffff:ffff:ffff:ffff:ffff:ffff
2542a8a:fd::/322a8a:fd:ffff:ffff:ffff:ffff:ffff:ffff
2552a8a:fe::/322a8a:fe:ffff:ffff:ffff:ffff:ffff:ffff
2562a8a:ff::/322a8a:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses